Get Macro Indicators
Serve all latest macroeconomic indicators.
curl -X GET "https://api.example.com/v1/api/v1/macro/indicators?source=example_string&category=example_string¤cy=example_string&as_of=example_string" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.example.com/v1/api/v1/macro/indicators?source=example_string&category=example_string¤cy=example_string&as_of=example_string"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/v1/api/v1/macro/indicators?source=example_string&category=example_string¤cy=example_string&as_of=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/v1/api/v1/macro/indicators?source=example_string&category=example_string¤cy=example_string&as_of=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/v1/api/v1/macro/indicators?source=example_string&category=example_string¤cy=example_string&as_of=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
"null"
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
GET
/api/v1/macro/indicators
GET
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
query
sourcestring
Filter by source (e.g. BOJ, Petrojam)
query
categorystring
Filter by category (e.g. Energy, External)
query
currencystring
Normalize values to target currency (e.g. USD)
query
as_ofstring
v7 Point-in-Time query (YYYY-MM-DD)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Query Parameters
sourcestring
Filter by source (e.g. BOJ, Petrojam)
categorystring
Filter by category (e.g. Energy, External)
currencystring
Normalize values to target currency (e.g. USD)
as_ofstring
v7 Point-in-Time query (YYYY-MM-DD)
Responses
Successful Response
detailarray
locstring[]
Requiredmsgstring
Requiredtypestring
Requiredinputstring
ctxobject
Was this page helpful?
Last updated today
Built with Documentation.AI